---
title: AudioNode.numberOfInputs
slug: Web/API/AudioNode/numberOfInputs
tags:
  - API
  - AudioNode
  - Property
  - Reference
  - Web Audio API
  - numberOfInputs
---
<div>{{APIRef("Web Audio API")}}</div>

<p class="summary"><span class="seoSummary">The <code>numberOfInputs</code> property of the {{domxref("AudioNode")}} interface returns the number of inputs feeding the node.</span> Source nodes are defined as nodes having a <code>numberOfInputs</code> property with a value of 0.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>numInputs</em> = <em>audioNode</em>.numberOfInputs;</pre>

<h3 id="Value">Value</h3>

<p>An integer ≥ 0.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[8,9,10]">const audioCtx = new AudioContext();

const oscillator = audioCtx.createOscillator();
const gainNode = audioCtx.createGain();

oscillator.connect(gainNode).connect(audioCtx.destination);

console.log(oscillator.numberOfInputs); // 0
console.log(gainNode.numberOfInputs); // 1
console.log(audioCtx.destination.numberOfInputs); // 1
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audionode-numberofinputs', 'numberOfInputs')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioNode.numberOfInputs")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
